curl --request GET \
--url https://api.eigenexplorer.com/avs/{address}/operator-sets/{operatorSetId} \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/avs/{address}/operator-sets/{operatorSetId}"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/avs/{address}/operator-sets/{operatorSetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avsAddress": "0xba7cda36abeb28ad200591e6e4a963359b1f43df",
"operatorSetId": 0,
"strategies": [
"0x7d704507b76571a51d9cae8addabbfd0ba0e63d3"
],
"totalStakers": 1,
"totalOperators": 1,
"allocations": [
{
"operatorAddress": "0xd9322bb31f42c7caa12daad49699d655393f9524",
"strategyAddress": "0x7d704507b76571a51d9cae8addabbfd0ba0e63d3",
"magnitude": "100000",
"effectBlock": 3326552
}
],
"createdAt": "2025-02-01T00:00:00.000Z",
"createdAtBlock": 3325343,
"updatedAt": "2025-02-01T00:00:00.000Z",
"updatedAtBlock": 3325343
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Retrieve details about an operator-set for an AVS
Returns information about a particular operator-set for an AVS address
Headers
API Token for authentication
Path Parameters
AVS service manager contract address
^0x[a-fA-F0-9]{40}$"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"
The ID of the operator-set
1
Response
The information about operator-set.
The AVS contract address
^0x[a-fA-F0-9]{40}$"0xba7cda36abeb28ad200591e6e4a963359b1f43df"
The ID of the operator-set
0
Array of strategy contract addresses
The strategy contract address
^0x[a-fA-F0-9]{40}$The count of stakers whose delegated operator is registered in the operator-set
1
The count of operators registered in the operator-set
1
Show child attributes
Show child attributes
The timestamp when the record was created as an ISO 8601 string
"2025-02-01T00:00:00.000Z"
The block number when the record was created
3325343
The timestamp when the record was last updated as an ISO 8601 string
"2025-02-01T00:00:00.000Z"
The block number when the record was last updated
3325343